---
title: "Delete entity preference"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › notifications

`DELETE /v2/notifications/preferences/entity/{entityId}`

## Path parameters

- `entityId` (`notification-delete-entity-preference.path.entityId`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request DELETE \
  --url 'https://api.sureshake.com/v2/notifications/preferences/entity/<entityId>'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/notifications/preferences/entity/<entityId>';
const options = {method: 'DELETE'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/notifications/preferences/entity/<entityId>"

response = requests.delete(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "success": true
}
```

- `success` (`notification-delete-entity-preference.response.200.success`; boolean, required)

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`notification-delete-entity-preference.response.400.error`; object, required)
  - `code` (`notification-delete-entity-preference.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`notification-delete-entity-preference.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`notification-delete-entity-preference.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`notification-delete-entity-preference.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`notification-delete-entity-preference.response.401.error`; object, required)
  - `code` (`notification-delete-entity-preference.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`notification-delete-entity-preference.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`notification-delete-entity-preference.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`notification-delete-entity-preference.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`notification-delete-entity-preference.response.500.error`; object, required)
  - `code` (`notification-delete-entity-preference.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`notification-delete-entity-preference.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`notification-delete-entity-preference.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`notification-delete-entity-preference.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/notification-delete-entity-preference/index.md
